#!/bin/sh

# tomcatを停止したうえでwarファイルのデプロイを行い、コンテナを再起動する.


# スクリプトのディレクトリを取得.
SCRIPT_DIR=$(cd $(dirname $(readlink -f $0 || echo $0));pwd -P)

# 共通関数をインクルード.
source ${SCRIPT_DIR}/util/tomcat-tools-common.sh


war_file=$1

if [ $# -ne 1 ]; then
	echo "tomcat-cold-deploy.sh <war-file>"
	exit 0
fi


if [ -z "$CATALINA_HOME" ]; then
	echo "CATALINA_HOMEが設定されていません."
	exit -1
fi

if [ -z "${war_file}" ]; then
	echo "warファイルが指定されていません."
	exit -1
fi

# rootユーザーかをチェック.

root_flg=`is_root_user`

if [ ${root_flg} = "true" ]; then
	echo "rootユーザーで処理を実行します."
else
	echo "本コマンドの実行はrootユーザーで行ってください."
	exit -1
fi

# warファイルの拡張子部分を取り除いた文字列を取得
app_name=`basename "${war_file}"`
app_name="${app_name%.*}"


# シェルの実行ディレクトリを取得.
sh_dir=`dirname ${0}`

# tomcatの停止.
echo "tomcatを停止します."
echo -e `${sh_dir}/tomcat-stop.sh`


# アプリケーションのデプロイ解除
echo "アプリケーションのデプロイを解除します."
echo -e `${sh_dir}/tomcat-undeploy.sh ${app_name}`

# アプリケーションのデプロイ
echo "アプリケーションのデプロイを開始します."
echo -e `${sh_dir}/tomcat-deploy.sh ${1}`

# tomcatの起動
echo "tomcatを起動します."
echo -e `${sh_dir}/tomcat-start.sh`

exit 0
