#!/bin/sh

# tomcatへwarファイルをデプロイするコマンド.


# スクリプトのディレクトリを取得.
SCRIPT_DIR=$(cd $(dirname $(readlink -f $0 || echo $0));pwd -P)

# 共通関数をインクルード.
source ${SCRIPT_DIR}/util/tomcat-tools-common.sh


war_file=$1

if [ $# -ne 1 ]; then
	echo "tomcat-deploy.sh <war-file>"
	exit 0
fi


if [ -z "$CATALINA_HOME" ]; then
	echo "CATALINA_HOMEが設定されていません."
	exit -1
fi

if [ -z "${war_file}" ]; then
	echo "warファイルが指定されていません."
	exit -1
fi

# rootユーザーかをチェック.

root_flg=`is_root_user`

if [ ${root_flg} = "true" ]; then
	echo "rootユーザーで処理を実行します."
else
	echo "本コマンドの実行はrootユーザーで行ってください."
	exit -1
fi



# warファイルの拡張子部分を取り除いた文字列を取得
app_name=`basename "${war_file}"`
app_name="${app_name%.*}"

echo "${app_name}のデプロイを開始します."

# ${CATALINA_HOME}/webappsをクリーン.
echo "${CATALINA_HOME}/webapps/${app_name}を削除します."
rm -fr ${CATALINA_HOME}/webapps/${app_name}

# ${CATALINA_HOME}/work/localhost をクリーン
echo "${CATALINA_HOME}/work/localhost/${app_name}を削除します."
rm -fr ${CATALINA_HOME}/work/localhost/${app_name}


# warファイルをデプロイ.
echo "${CATALINA_HOME}/webappsに${war_file}をコピーします."
cp ${war_file} ${CATALINA_HOME}/webapps

echo "${app_name}の配備が完了しました."

exit 0
