#!/bin/sh

# tomcatにデプロイしたwarファイルを削除するコマンド

# スクリプトのディレクトリを取得.
SCRIPT_DIR=$(cd $(dirname $(readlink -f $0 || echo $0));pwd -P)

# 共通関数をインクルード.
source ${SCRIPT_DIR}/util/tomcat-tools-common.sh



app_name=$1

if [ $# -ne 1 ]; then
	echo "tomcat-undeploy.sh <app-name>"
	exit 0
fi

# rootユーザーかをチェック.

root_flg=`is_root_user`

if [ ${root_flg} = "true" ]; then
	echo "rootユーザーで処理を実行します."
else
	echo "本コマンドの実行はrootユーザーで行ってください."
	exit -1
fi



if [ -z "$CATALINA_HOME" ]; then
	echo "CATALINA_HOMEが設定されていません."
	exit -1
fi

if [ -z "$app_name" ]; then
	echo "アプリケーション名が指定されていません."
	exit -1
fi


# warファイルを削除
echo "${CATALINA_HOME}/webapps/${app_name}.warを削除します."
rm -fr ${CATALINA_HOME}/webapps/${app_name}.war

# ${CATALINA_HOME}/webappsをクリーン.
echo "${CATALINA_HOME}/webapps/${app_name}を削除します."
rm -fr ${CATALINA_HOME}/webapps/${app_name}

# ${CATALINA_HOME}/work/localhost をクリーン
echo "${CATALINA_HOME}/work/localhost/${app_name}を削除します."
rm -fr ${CATALINA_HOME}/work/localhost/${app_name}

echo "${app_name}のデプロイ解除が完了しました."

exit 0
